Součty a součiny
Prev | Chapter 6. Programování s jazykem GEL | Next

## Součty a součiny

Syntax:

    sum <identifier> = <from> to <to> do <body>
    sum <identifier> = <from> to <to> by <increment> do <body>
    sum <identifier> in <matrix> do <body>
    prod <identifier> = <from> to <to> do <body>
    prod <identifier> = <from> to <to> by <increment> do <body>
    prod <identifier> in <matrix> do <body>

If you substitute `for` with `sum` or `prod`, then you will get a sum or a product instead of a `for` loop. Instead of returning the last value, these will return the sum or the product of the values respectively.

Pokud tělo není vůbec provedeno (například `sum i=1 to 0 do …`), vrátí `sum` hodnotu 0 a `prod` hodnotu 1, což je standardní konvence.

Pro desetinná čísla se dělá stejná ochrana proti chybám zaokrouhlování jako u smyčky for. Viz the section called “Smyčky for”.

Prev | Up | Next
Smyčky | Home | Porovnávací operátory